Categories:
  - Writing
License: MIT
AuthorName: Iain Findlay
AuthorEmail: fyll.nds@gmail.com
AuthorWebSite: https://fyll-nds.bitbucket.io/
SourceCode: https://bitbucket.org/Fyll-nds/puzzle-grid/src
IssueTracker: https://bitbucket.org/Fyll-nds/puzzle-grid/issues

AutoName: Puzzle Grid

RepoType: git
Repo: https://bitbucket.org/Fyll-nds/puzzle-grid

Builds:
  - versionName: 2.0.6
    versionCode: 10
    commit: v2.0.6
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

  - versionName: 2.0.7
    versionCode: 11
    commit: v2.0.7
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

  - versionName: 2.1.0
    versionCode: 12
    commit: v2.1.0
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

  - versionName: 2.1.1
    versionCode: 13
    commit: v2.1.1
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

  - versionName: 2.1.2
    versionCode: 14
    commit: v2.1.2
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

  - versionName: 2.1.3
    versionCode: 15
    disable: no tag
    commit: v2.1.3
    subdir: android/app
    output: ../../build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@1.22.2
    prebuild: echo "flutter.sdk=$$flutter$$" >> ../local.properties
    build: $$flutter$$/bin/flutter build apk --release --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.1.3
CurrentVersionCode: 15
